# Class CircleLight

- Defined in drawables/lights/circle-light.ts:8

##### Index

### Constructors

constructor

### Properties

center
color
intensity
lightnessRatio
descriptor

### Methods

getObjectToSerialize
minDistance
setLightnessRatio

## Constructors

### constructor

- new CircleLight(center: vec2, color: vec3, intensity: number): CircleLight

  #### Parameters

  - center: vec2
  - color: vec3
  - intensity: number

  #### Returns CircleLight

  Overrides LightDrawable.constructor

  - Defined in drawables/lights/circle-light.ts:20

## Properties

### center

center: vec2

Inherited from Flashlight.center

- Defined in drawables/lights/light-drawable.ts:9

### color

color: vec3

Inherited from Flashlight.color

- Defined in drawables/lights/light-drawable.ts:10

### intensity

intensity: number

Inherited from Flashlight.intensity

- Defined in drawables/lights/light-drawable.ts:11

### `Protected` lightnessRatio

lightnessRatio: number = 1

Inherited from Flashlight.lightnessRatio

- Defined in drawables/lights/light-drawable.ts:6

### `Static` `Readonly` descriptor

descriptor: DrawableDescriptor = ...

This should be defined in inherited classes.

Overrides LightDrawable.descriptor

- Defined in drawables/lights/circle-light.ts:9

## Methods

### `Protected` getObjectToSerialize

- getObjectToSerialize(transform2d: mat2d, transform1d: number): any

  Return the values that should be given to the shaders through uniform inputs.

  #### Parameters

  - transform2d: mat2d

    position-like properties should be transformed by this matrix before being returned.

  - transform1d: number

    scalar properties should be transformed by this number before being returned.

  #### Returns any

  Inherited from LightDrawable.getObjectToSerialize

  - Defined in drawables/lights/light-drawable.ts:24

### minDistance

- minDistance(target: vec2): number

  The lower bound of the distance between the target and the object.

  It can return 0 by default, the only consequence of this, is a reduced performance. Because this object won't benefit from tile-based rendering.

  #### Parameters

  - target: vec2

  #### Returns number

  Inherited from LightDrawable.minDistance

  - Defined in drawables/lights/light-drawable.ts:20

### setLightnessRatio

- setLightnessRatio(ratio: number): void

  #### Parameters

  - ratio: number

  #### Returns void

  Inherited from LightDrawable.setLightnessRatio

  - Defined in drawables/lights/light-drawable.ts:16